searchNodes=[{"doc":"Client library for interacting with Kasa/TP-Link smart home devices via either tplinkcloud.com or directly over the local network. See the README for examples.","ref":"TpLink.html","title":"TpLink","type":"module"},{"doc":"Sends a command to a device and returns the response. Use cloud_device/2 or local_device/2 to generate a device struct.","ref":"TpLink.html#call/2","title":"TpLink.call/2","type":"function"},{"doc":"Creates a device struct for a device that is accessed through the cloud. Generate a session with TpLink.Cloud.login/2 .","ref":"TpLink.html#cloud_device/2","title":"TpLink.cloud_device/2","type":"function"},{"doc":"Returns the system info.","ref":"TpLink.html#get_system_info/1","title":"TpLink.get_system_info/1","type":"function"},{"doc":"Create a device struct for a device that is accessed via the local Wifi network. Options :timeout ( pos_integer/0 ) - Timeout in milliseconds. The default value is 5000 .","ref":"TpLink.html#local_device/2","title":"TpLink.local_device/2","type":"function"},{"doc":"For working with devices via tplinkcloud.com .","ref":"TpLink.Cloud.html","title":"TpLink.Cloud","type":"module"},{"doc":"Returns a list of available devices.","ref":"TpLink.Cloud.html#list_devices/1","title":"TpLink.Cloud.list_devices/1","type":"function"},{"doc":"Authenticates with TP-Link Cloud. Use the same username and password that you use to sign in to tplinkcloud.com .","ref":"TpLink.Cloud.html#login/2","title":"TpLink.Cloud.login/2","type":"function"},{"doc":"For working with devices directly on the local network. Functions in this module will only work when called from a device that is connected to the same local network as the TP-Link device.","ref":"TpLink.Local.html","title":"TpLink.Local","type":"module"},{"doc":"Returns a list of devices on the local network. See TpLink.Local.DiscoveryServer for details. Errors may occur on certain version combinations of MacOS and Erlang/OTP. See this issue for details. Options :timeout ( pos_integer/0 ) - Duration in milliseconds to wait for responses. The default value is 2500 .","ref":"TpLink.Local.html#list_devices/1","title":"TpLink.Local.list_devices/1","type":"function"},{"doc":"A GenServer that discovers TP-Link devices on the local network. It works by periodically sending multicast UDP packets to all devices on the network and listening for responses. Once discovered, a device will remain in the list indefinitely even if it goes offline. This may change in a future release of this library. Errors may occur on certain version combinations of MacOS and Erlang/OTP. See this issue for details.","ref":"TpLink.Local.DiscoveryServer.html","title":"TpLink.Local.DiscoveryServer","type":"module"},{"doc":"Returns a specification to start this module under a supervisor. See Supervisor .","ref":"TpLink.Local.DiscoveryServer.html#child_spec/1","title":"TpLink.Local.DiscoveryServer.child_spec/1","type":"function"},{"doc":"Returns a list of devices that have been discovered by the server.","ref":"TpLink.Local.DiscoveryServer.html#list_devices/1","title":"TpLink.Local.DiscoveryServer.list_devices/1","type":"function"},{"doc":"Starts the server. See GenServer.start_link/3 .","ref":"TpLink.Local.DiscoveryServer.html#start_link/1","title":"TpLink.Local.DiscoveryServer.start_link/1","type":"function"},{"doc":"Stops the server. See GenServer.stop/1 .","ref":"TpLink.Local.DiscoveryServer.html#stop/1","title":"TpLink.Local.DiscoveryServer.stop/1","type":"function"},{"doc":"","ref":"TpLink.Type.Bulb.html","title":"TpLink.Type.Bulb","type":"module"},{"doc":"Sets the lighting state. Options :brightness - Brightness (0-100). :color_temp - Color temp in kelvin (0-9000). Must be set to 0 for color options to take effect. :hue - Hue (0-360). :ignore_default ( boolean/0 ) :on_off ( boolean/0 ) - Boolean to turn bulb on/off. :saturation - Saturation (0-100).","ref":"TpLink.Type.Bulb.html#set_light_state/2","title":"TpLink.Type.Bulb.set_light_state/2","type":"function"},{"doc":"For working with smart plug devices.","ref":"TpLink.Type.Plug.html","title":"TpLink.Type.Plug","type":"module"},{"doc":"Turns a switch on or off.","ref":"TpLink.Type.Plug.html#set_relay_state/2","title":"TpLink.Type.Plug.set_relay_state/2","type":"function"},{"doc":"Client library for interacting with Kasa/TP-Link smart home devices via either tplinkcloud.com or directly over the local network (no Internet connection required).","ref":"readme.html","title":"TpLink","type":"extras"},{"doc":"The package can be installed by adding tp_link to your list of dependencies in mix.exs : def deps do [ { :tp_link , &quot;~&gt; 0.2&quot; } ] end","ref":"readme.html#installation","title":"TpLink - Installation","type":"extras"},{"doc":"Cloud Create a session by calling TpLink.Cloud.login : { :ok , session } = TpLink.Cloud . login ( &quot;user@example.com&quot; , &quot;password&quot; ) To list devices, call TpLink.Cloud.list_devices : { :ok , devices } = TpLink.Cloud . list_devices ( session ) Using the device_id returned by the previous call, you can turn on a smart switch by calling: session |&gt; TpLink . cloud_device ( &quot;800626A81D45A54544ADE5222EB50BF11BB7CBE3&quot; ) |&gt; TpLink.Type.Plug . set_relay_state ( true ) Local network To list devices on the local network using multicast UDP, call TpLink.Local.list_devices . There is no need to authenticate because TP-Link devices are not secure on the local network. If you experience errors on MacOS while listing devices then see this issue . { :ok , devices } = TpLink.Local . list_devices ( ) Using the IP address or hostname of the device, you can turn on a smart switch by calling: TpLink . local_device ( { 192 , 168 , 0 , 3 } ) |&gt; TpLink.Type.Plug . set_relay_state ( true )","ref":"readme.html#usage","title":"TpLink - Usage","type":"extras"}]